<?php

/**
 * @file
 * This file contains MarketingAutomationAPI which will call API functions by validating the required parameters.
 * Look at more details at http://apps.net-results.com/api/v2/rpc/documentation.php#controller=Welcome
 */
require_once libraries_get_path('marketing_automation').'/marketing_automation_api.php';

/**
 * The MarketingAutomationAPI class
 * Before using this make sure you have username and password to call API
 * Usage:
 * $obj = new MarketingAutomationAPI('username', 'password');
 * $result = $obj->call_method('Controller', 'Method', $params);
 */

class VolacciAutomatrAPI extends MarketingAutomationAPI {

  /**
   * Call the method of API and return the output
   * @param string $controller
   * @param string $method
   * @param string $params
   *  Key value pairs of parameters.
   *  This function will include api_definition and check if any required
   *  parameter is missed or not and if any required parameter is missed
   *  If it has default value, it will pass the default value.
   */
  public function call_method($controller, $method, $params = array()) {
    parent::call_method($controller, $method, $params = array());
  }

}